import 'package:flutter/material.dart';

class TopWavePainter extends CustomPainter {
  @override
  void paint(Canvas canvas, Size size) {
    var paint = Paint();
    paint.blendMode = BlendMode.multiply;

    final double width = 500;
    final double height = 500;

    paint.style = PaintingStyle.fill;
    paint.shader = LinearGradient(
            colors: [Colors.blueAccent, Colors.purpleAccent],
            tileMode: TileMode.repeated,
            begin: Alignment.topLeft,
            end: Alignment.bottomRight)
        .createShader(Rect.fromLTRB(0, 0, width, height));

    var startPoint = Offset(0, height * 0.4);
    var controlPoint1 = Offset(width * 0.25, height * 0.4);
    var controlPoint2 = Offset(width * 0.25, height * 0.2);
    var endPoint = Offset(width * 0.5, height * 0.2);
    var controlPoint3 = Offset(width * 0.75, height * 0.2);
    var controlPoint4 = Offset(width * 0.75, height * 0.4);
    var endPoint2 = Offset(width, 0);

    var path = Path();
    path.moveTo(startPoint.dx, startPoint.dy);
    path.cubicTo(controlPoint1.dx, controlPoint1.dy, controlPoint2.dx,
        controlPoint2.dy, endPoint.dx, endPoint.dy);
    path.cubicTo(controlPoint3.dx, controlPoint3.dy, controlPoint4.dx,
        controlPoint4.dy, endPoint2.dx, endPoint2.dy);
    path.lineTo(0, 0);
    path.lineTo(startPoint.dx, startPoint.dy);

    var path2 = Path();
    var controlPoint5 = Offset(width * 0.5, height * 0.4);
    var controlPoint6 = Offset(width * 0.5, height * 0.2);

    path2.moveTo(startPoint.dx, startPoint.dy);
    path2.cubicTo(controlPoint5.dx, controlPoint5.dy, controlPoint6.dx,
        controlPoint6.dy, endPoint2.dx, endPoint2.dy);
    path2.lineTo(0, 0);
    path2.lineTo(startPoint.dx, startPoint.dy);

    canvas.drawPath(path2, paint);
    canvas.drawPath(path, paint);
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) {
    return false;
  }
}
