import 'package:flutter/material.dart';

class CircleButton extends StatelessWidget {
  final Icon icon;
  final double size;
  final Function onPressed;
  final Color color;
  final bool enabled;
  final bool busy;
  final bool visible;
  final bool hasShadow;
  final Color shadowColor;
  CircleButton(
      {@required this.icon,
      @required this.onPressed,
      this.size = 48,
      this.color = Colors.transparent,
      this.busy = false,
      this.enabled = true,
      this.visible = true,
      this.hasShadow = true,
      this.shadowColor = Colors.black54});
  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
          color: color,
          borderRadius: BorderRadius.all(Radius.circular(size / 2)),
          boxShadow: visible && enabled && hasShadow
              ? <BoxShadow>[
                  BoxShadow(
                    color: shadowColor.withAlpha(0x80),
                    blurRadius: 16,
                  )
                ]
              : []),
      constraints: BoxConstraints(
          maxHeight: size, maxWidth: size, minHeight: size, minWidth: size),
      child: ClipOval(
        child: FlatButton(
          padding: EdgeInsets.all(0),
          child: icon,
          onPressed: enabled ? onPressed : null,
        ),
      ),
    );
  }
}
