import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:polarizelabui/widgets/circleButton.dart';

class TitleWidget extends StatelessWidget {
  final String text;
  final bool hasBack;
  final Color backColor;
  final Color textColor;
  TitleWidget(
      {@required this.text,
      this.textColor = Colors.white,
      this.hasBack = true,
      this.backColor = Colors.white});
  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: <Widget>[
        this.hasBack
            ? CircleButton(
                icon: Icon(
                  Icons.arrow_back,
                  color: backColor,
                ),
                onPressed: () {
                  Navigator.of(context).pop();
                },
                hasShadow: false,
              )
            : Container(),
        Padding(
          child: Text(this.text,
              style: Theme.of(context)
                  .textTheme
                  .headline
                  .copyWith(color: textColor)),
          padding: EdgeInsets.only(left: 16),
        )
      ],
    );
  }
}
